Bug 10755 - problem starting snmpd
problem starting snmpd
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-12 11:35 EDT by jbou
Modified: 2015-03-04 20:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-07 14:34:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jbou 2000-04-12 11:35:17 EDT
If you edit the /etc/snmp/snmpd.conf file to activate the access ej:

com2sec local     localhost       public
com2sec mynetwork 200.33.188.0/24      public
group MyROGroup  any        local
group MyROGroup  any        mynetwork
view all    included  .1                               80
access MyROGroup ""      any       noauth    0      all    none   none

Then if you start the daemon with /etc/rc.d/init.d/snmpd start
it starts and dies inmediately, if you start the daemon manualy
/usr/sbin/snmpd it starts and works as expected, I dont know if is
a problem of the pakage or a problem in the function daemon of the
/etc/rc.d/init.d/functions file called by the init script.
Comment 1 Phil Knirsch 2001-06-15 13:15:20 EDT
OK, the commented examples seem to be a little wrong in the snmpd.conf file.
Here is a correct version which will work with the initscript startup (it seems
as if the daemon script kills the process if it returns a none 0 exit code,
which snmpd obviously and unfortunatelly does if it encounters errors in the
config file(:

com2sec local     localhost       public
com2sec mynetwork 200.33.188.0/24      public
group MyROGroup  usm        local
group MyROGroup  usm        mynetwork
view all    included  .1                               80
access MyROGroup ""      any       noauth    exact      all    none   none


Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.